Index: contrib/pgcrypto/README.pgcrypto
===================================================================
RCS file: /opt/cvs/pgsql/contrib/pgcrypto/README.pgcrypto,v
retrieving revision 1.15
diff -u -c -r1.15 README.pgcrypto
*** contrib/pgcrypto/README.pgcrypto	13 Jul 2006 04:15:24 -0000	1.15
--- contrib/pgcrypto/README.pgcrypto	18 Jul 2006 13:02:27 -0000
***************
*** 36,48 ****
  `configure` script.  The options that affect it are `--with-zlib` and
  `--with-openssl`.
  
! Without zlib, the PGP functions will not support compressed data inside
! PGP encrypted packets.
  
! Without OpenSSL, public-key encryption does not work, as pgcrypto does
! not yet contain math functions for large integers.
  
! There are some other differences with and without OpenSSL:
  
  `----------------------------`---------`------------
   Functionality                built-in   OpenSSL
--- 36,49 ----
  `configure` script.  The options that affect it are `--with-zlib` and
  `--with-openssl`.
  
! When compiled with zlib, PGP encryption functions are able to
! compress data before encrypting.
  
! When compiled with OpenSSL there will be more algorithms available.
! Also public-key encryption functions will be faster as OpenSSL
! has more optimized BIGNUM functions.
  
! Summary of functionality with and without OpenSSL:
  
  `----------------------------`---------`------------
   Functionality                built-in   OpenSSL
***************
*** 421,427 ****
  Options are named to be similar to GnuPG.  Values should be given after
  an equal sign; separate options from each other with commas.  Example:
  
!   pgp_sym_encrypt(data, psw, 'compress-also=1, cipher-algo=aes256')
  
  All of the options except `convert-crlf` apply only to encrypt
  functions.  Decrypt functions get the parameters from PGP data.
--- 422,428 ----
  Options are named to be similar to GnuPG.  Values should be given after
  an equal sign; separate options from each other with commas.  Example:
  
!   pgp_sym_encrypt(data, psw, 'compress-algo=1, cipher-algo=aes256')
  
  All of the options except `convert-crlf` apply only to encrypt
  functions.  Decrypt functions get the parameters from PGP data.
***************
*** 571,577 ****
  -------------------
  
  Those functions only run a cipher over data, they don't have any advanced
! features of PGP encryption.  In addition, they have some major problems:
  
  1. They use user key directly as cipher key.
  2. They don't provide any integrity checking, to see
--- 572,578 ----
  -------------------
  
  Those functions only run a cipher over data, they don't have any advanced
! features of PGP encryption.  Therefore they have some major problems:
  
  1. They use user key directly as cipher key.
  2. They don't provide any integrity checking, to see
Index: contrib/pgcrypto/imath.c
===================================================================
RCS file: /opt/cvs/pgsql/contrib/pgcrypto/imath.c,v
retrieving revision 1.3
diff -u -c -r1.3 imath.c
*** contrib/pgcrypto/imath.c	16 Jul 2006 02:44:00 -0000	1.3
--- contrib/pgcrypto/imath.c	16 Jul 2006 10:58:02 -0000
***************
*** 3,9 ****
    Name:     imath.c
    Purpose:  Arbitrary precision integer arithmetic routines.
    Author:   M. J. Fromberger <http://www.dartmouth.edu/~sting/>
!   Info:     $PostgreSQL$
  
    Copyright (C) 2002 Michael J. Fromberger, All Rights Reserved.
  
--- 3,9 ----
    Name:     imath.c
    Purpose:  Arbitrary precision integer arithmetic routines.
    Author:   M. J. Fromberger <http://www.dartmouth.edu/~sting/>
!   Info:     Id: imath.c 21 2006-04-02 18:58:36Z sting
  
    Copyright (C) 2002 Michael J. Fromberger, All Rights Reserved.
  
***************
*** 27,32 ****
--- 27,33 ----
    CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.
   */
+ /* $PostgreSQL$ */
  
  #include "postgres.h"
  #include "px.h"
Index: contrib/pgcrypto/imath.h
===================================================================
RCS file: /opt/cvs/pgsql/contrib/pgcrypto/imath.h,v
retrieving revision 1.3
diff -u -c -r1.3 imath.h
*** contrib/pgcrypto/imath.h	16 Jul 2006 02:44:01 -0000	1.3
--- contrib/pgcrypto/imath.h	16 Jul 2006 11:00:17 -0000
***************
*** 2,8 ****
    Name:     imath.h
    Purpose:  Arbitrary precision integer arithmetic routines.
    Author:   M. J. Fromberger <http://www.dartmouth.edu/~sting/>
!   Info:     $PostgreSQL$
  
    Copyright (C) 2002 Michael J. Fromberger, All Rights Reserved.
  
--- 2,8 ----
    Name:     imath.h
    Purpose:  Arbitrary precision integer arithmetic routines.
    Author:   M. J. Fromberger <http://www.dartmouth.edu/~sting/>
!   Info:     Id: imath.h 21 2006-04-02 18:58:36Z sting
  
    Copyright (C) 2002 Michael J. Fromberger, All Rights Reserved.
  
***************
*** 26,31 ****
--- 26,32 ----
    CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.
   */
+ /* $PostgreSQL$ */
  
  #ifndef IMATH_H_
  #define IMATH_H_
